Name:          apache-commons-daemon
Version:       1.3.2
Release:       1mamba
Summary:       Apache Commons Daemon Package
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://commons.apache.org/proper/commons-daemon/
Source0:       https://github.com/apache/commons-daemon.git/commons-daemon-%{version}/commons-daemon-%{version}.tar.bz2
License:       Apache Software License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: javapackages
BuildRequires: apache-maven
BuildRequires: apache-ant
BuildRequires: docbook2X

%description
The scope of this package is to define an API in line with the current Java(tm) Platform APIs to support an alternative invocation mechanism which could be used instead of the above mentioned public static void main(String[]) method.  This specification cover the behavior and life cycle of what we define as Java(tm) daemons, or, in other words, non interactive Java(tm) applications.
Daemon is made of 2 parts. One written in C that makes the interface to the operating system and the other in Java that provides the Daemon API

%package jsvc
Group:         System/Tools
Summary:       Java daemon launcher

%description jsvc
Jakarta Commons Daemon Package

This package contains %{name} Java daemon launcher

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
Jakarta Commons Daemon Package
This package contains javadoc for %{name}

%package source
Group:         Development/Languages
Summary:       %{name} source

%description source
Jakarta Commons Daemon Package
This package contains %{name} source.

%prep
%setup -q -n commons-daemon-%{version}
cd src/native/unix
support/buildconf.sh

%build
mvn -Drat.ignoreErrors=true clean package

cd src/native/unix
./configure \
  --with-java=%{_jvmdir}/java

make
db2x_docbook2man man/jsvc.1.xml
    
%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m 644 target/commons-daemon-%{version}.jar \
  %{buildroot}%{_javadir}/apache-commons-daemon-%{version}.jar

#install -D -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-apache-commons-daemon.pom

#(
#  cd %{buildroot}%{_javadir}
#  for jar in *-%{version}.jar; do
#    ln -sf ${jar} `echo $jar| sed "s|apache-||g"`
#  done
#)

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -pm 755 src/native/unix/jsvc %{buildroot}%{_bindir}/jsvc
install -pm 644 src/native/unix/JSVC.1 %{buildroot}%{_mandir}/man1/jsvc.1

mkdir -p %{buildroot}%{_javadocdir}/apache-commons-daemon-%{version}
#cp -pr %api_dir/* %{buildroot}%{_javadocdir}/apache-commons-daemon-%{version}
#ln -s apache-commons-daemon-%{version} %{buildroot}%{_javadocdir}/apache-commons-daemon

#mkdir -p %{buildroot}%{_sourcedir}/apache-commons-daemon-%{version}
#cp -pr %target_dir/bin/commons-daemon-%{version}-native-src.* %{buildroot}%{_sourcedir}/apache-commons-daemon-%{version}/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/apache-commons-daemon-%{version}.jar
%{_javadir}/apache-commons-daemon.jar
%doc LICENSE.txt

%files jsvc
%defattr(-,root,root)
%{_bindir}/jsvc
%{_mandir}/man1/jsvc.1*

#%files source
#%defattr(-,root,root)
#%{_sourcedir}/apache-commons-daemon-%{version}/

%changelog
* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.15-1mamba
- update to 1.0.15

* Sun Feb 27 2011 gil <puntogil@libero.it> 1.0.5-1mamba
- update to 1.0.5

* Sun Dec 12 2010 gil <puntogil@libero.it> 1.0.4-1mamba
- update to 1.0.4

* Thu Oct 01 2009 gil <puntogil@libero.it> 1.0.1-3mamba
- added jsvc manual

* Thu Jun 11 2009 gil <puntogil@libero.it> 1.0.1-2mamba
- added sources package

* Thu Feb 26 2009 gil <puntogil@libero.it> 1.0.1-1mamba
- package created by autospec